ACL_SIZE(3)

NAME
acl_size - get the size of the external representation of an ACL

LIBRARY
Linux Access Control Lists library (libacl, -lacl).

SYNOPSIS
#include <sys/types.h>
#include <sys/acl.h>
ssize_t
acl_size(acl_t acl);

DESCRIPTION
The acl_size() function return the size, in bytes, of the buffer required to hold the exportable, contiguous, persistent form of the ACL pointed to by the argument acl, when converted by acl_copy_ext().

Any existing ACL entry descriptors that refer to entries in acl continue to refer to the same entries. Any existing ACL pointers that refer to the ACL referred to by acl continue to refer to the ACL. The order of ACL entries within acl remains unchanged.

RETURN VALUE
On success, the acl_size() function returns the size in bytes of the contiguous, persistent form of the ACL. On error, a value of (ssize_t)-1 is returned and errno is set appropriately.

ERRORS
If any of the following conditions occur, the acl_size() function returns a value of (ssize_t)-1 and sets errno to the corresponding value:

[EINVAL]
    The argument acl is not a valid pointer to an ACL.

STANDARDS
IEEE Std 1003.1e draft 17 (“POSIX.1e”, abandoned)

SEE ALSO
acl_copy_ext(3), acl(5)

AUTHOR
Derived from the FreeBSD manual pages written by Robert N M Watson <rwatson@FreeBSD.org>, and adapted for Linux by Andreas Gruenbacher <a.gruenbacher@bestbits.at>.